import 'dart:convert';

import 'package:http/http.dart' as http;

import '../models/info_calculadora.dart';

class InfoCalculadoraProvider{
  final _url = 'smart.solerpalau.mx';

  Future<InfoCalculadora> fetchInfoCalculadora() async{
    final url = Uri.https(_url, 'PR/api/v1/obtenerVentiladores');
    final res = await http.post(url);
    final decodedData = jsonDecode(res.body);
    final infoCalculadora = InfoCalculadora.fromJson(decodedData);
    return infoCalculadora;
  }
}